#include <v_lib.h>
#include "messages.h"

GLOBAL_DEBUG_MESSAGE(ipl_incorrect_parameters,"incorrect parameter(s)")

GLOBAL_DEBUG_MESSAGE(ipl_type_mismatch,"type mismatch")
GLOBAL_DEBUG_MESSAGE(ipl_duplicate_definition,"duplicate definition: ")
GLOBAL_DEBUG_MESSAGE(ipl_name_in_use,"name already in use: ")
GLOBAL_DEBUG_MESSAGE(ipl_circular_reference,"circular reference: ")
GLOBAL_DEBUG_MESSAGE(ipl_wrong_colorspace,"wrong colorspace")
GLOBAL_DEBUG_MESSAGE(ipl_unknown_channel,"unknown color channel ")
GLOBAL_DEBUG_MESSAGE(ipl_unknown_operation,"unknown operation")
GLOBAL_DEBUG_MESSAGE(ipl_incomplete_definition,"incomplete definition")
GLOBAL_DEBUG_MESSAGE(ipl_size_mismatch,"arguments of different size")
GLOBAL_DEBUG_MESSAGE(ipl_not_square,"non-square image")
GLOBAL_DEBUG_MESSAGE(ipl_domain_mismatch,"arguments in different domains")
GLOBAL_DEBUG_MESSAGE(ipl_not_enought_channels,"not enought channels")
GLOBAL_DEBUG_MESSAGE(ipl_using_state,"using state field")
GLOBAL_DEBUG_MESSAGE(ipl_null_func_arg,"NULL function argument")
GLOBAL_DEBUG_MESSAGE(ipl_roundoff_too_large,"roundoff error too large")
GLOBAL_DEBUG_MESSAGE(ipl_wrong_bounds,"wrong bounds")
GLOBAL_DEBUG_MESSAGE(ipl_wrong_domain,"wrong domain")
GLOBAL_DEBUG_MESSAGE(ipl_wrong_sign,"wrong sign")
GLOBAL_DEBUG_MESSAGE(ipl_not_powers2,"non-powers2 image");
GLOBAL_DEBUG_MESSAGE(ipl_fft_requires_powers2,
	"Fourier and frequency-domain transforms can be applied "
	"only if both dimensions are powers of 2")
GLOBAL_DEBUG_MESSAGE(ipl_state_size_unset,"size field in state is not set")
GLOBAL_DEBUG_MESSAGE(ipl_state_wh_unset,
	"width and/or height fields in state are not set")
GLOBAL_DEBUG_MESSAGE(ipl_already_frequency,
	"data already in frequency domain")
GLOBAL_DEBUG_MESSAGE(ipl_already_spatial,"data already in spatial domain")
GLOBAL_DEBUG_MESSAGE(ipl_invalid_operation,"invalid operation")
GLOBAL_DEBUG_MESSAGE(ipl_not_found,"definition not found: ")
GLOBAL_DEBUG_MESSAGE(ipl_redefinition,"redefinition")
GLOBAL_DEBUG_MESSAGE(ipl_state_invalidated,"state invalidated")
GLOBAL_DEBUG_MESSAGE(ipl_constant_matrix,"zero input range, can't transform")
GLOBAL_DEBUG_MESSAGE(ipl_unbalanced_braces,"unbalanced braces")
GLOBAL_DEBUG_MESSAGE(ipl_argument_override,"overriding current data")
GLOBAL_DEBUG_MESSAGE(ipl_cast_to_integer,"floating-point value rounded down")

GLOBAL_DEBUG_MESSAGE(ipl_unknown_transform,"unknown type of transform")
GLOBAL_DEBUG_MESSAGE(ipl_no_more_transforms,"no more transforms of type ")
GLOBAL_DEBUG_MESSAGE(ipl_no_such_transform,"no such transform")
GLOBAL_DEBUG_MESSAGE(ipl_unable_copy_args,"unable to copy arguments")

