#include <v_lib.h>
#include "istrings.h"

GLOBAL_STRING(ipl_usage,
	"Image processing language interpreter.\n"
	"Version 0.9.alpha.1 by Vladimir A. Smirnov.\n"
	"Usage: " IPL_BASENAME "<scriptfile>\n"
	"For language description, type " IPL_BASENAME " --help-ipl.\n")
/* can't be very long: passed to printf() */
GLOBAL_STRING(ipl_exit_status,
	"IPL run completed: %s. (alloc: %u bytes; leak: %u bytes)\n")
GLOBAL_STRING(ipl_integer,"<integer>")
GLOBAL_STRING(ipl_key_global,"global")
GLOBAL_STRING(ipl_key_random_seed,"random_seed")
GLOBAL_STRING(ipl_key_alias,"alias")
GLOBAL_STRING(ipl_unable_to_open,"unable to open: ")
GLOBAL_STRING(ipl_success,"success")
GLOBAL_STRING(ipl_error,"error(s)")

GLOBAL_STRING(ipl_open_brace,IPL_OPEN_BRACE)
GLOBAL_STRING(ipl_close_brace,IPL_CLOSE_BRACE)
GLOBAL_STRING(ipl_open_bracket,IPL_OPEN_BRACKET)
GLOBAL_STRING(ipl_close_bracket,IPL_CLOSE_BRACKET)
GLOBAL_STRING(ipl_comma,IPL_COMMA)

GLOBAL_STRING(ipl_key_void,"void")
GLOBAL_STRING(ipl_key_true,"true")
GLOBAL_STRING(ipl_key_false,"false")

GLOBAL_STRING(ipl_key_source_space,"source_space")
GLOBAL_STRING(ipl_key_rgb,"RGB")
GLOBAL_STRING(ipl_key_hsv,"HSV")
GLOBAL_STRING(ipl_key_cie,"CIE")
GLOBAL_STRING(ipl_key_red,"red")
GLOBAL_STRING(ipl_key_green,"green")
GLOBAL_STRING(ipl_key_blue,"blue")
GLOBAL_STRING(ipl_key_alpha,"alpha")
GLOBAL_STRING(ipl_key_hue,"hue")
GLOBAL_STRING(ipl_key_saturation,"saturation")
GLOBAL_STRING(ipl_key_value,"value")
GLOBAL_STRING(ipl_key_cieX,"cieX")
GLOBAL_STRING(ipl_key_cieY,"cieY")
GLOBAL_STRING(ipl_key_cieZ,"cieZ")
GLOBAL_STRING(ipl_key_output,"output")
GLOBAL_STRING(ipl_key_matrix,"matrix")
GLOBAL_STRING(ipl_key_vector,"vector")
GLOBAL_STRING(ipl_key_decomposition,"decomposition")
GLOBAL_STRING(ipl_key_state,"state")
GLOBAL_STRING(ipl_tab_string,"\t")
GLOBAL_STRING(ipl_eol_string,"\n")
GLOBAL_STRING(ipl_key_source_dimension,"source_dimension")
GLOBAL_STRING(ipl_key_depth_range,"depth_range")
GLOBAL_STRING(ipl_key_area_range,"area_range")
GLOBAL_STRING(ipl_key_value_range,"value_range")
GLOBAL_STRING(ipl_key_at_depth,"at_depth")
GLOBAL_STRING(ipl_key_leafs,"leafs")
GLOBAL_STRING(ipl_key_values,"values")
GLOBAL_STRING(ipl_key_histogram,"histogram")
GLOBAL_STRING(ipl_key_width_of,"width_of")
GLOBAL_STRING(ipl_desc_width_of,"returns number of cols in given matrix")
GLOBAL_STRING(ipl_key_height_of,"height_of")
GLOBAL_STRING(ipl_desc_height_of,"returns number of cols in given matrix")
GLOBAL_STRING(ipl_key_size_of,"size_of")
GLOBAL_STRING(ipl_desc_size_of,"returns number of elements in given vector")
GLOBAL_STRING(ipl_key_depth_of,"depth_of")
GLOBAL_STRING(ipl_desc_depth_of,"returns depth of given binary decomposition")

GLOBAL_STRING(ipl_known_transforms_str,"Known transforms:\n")
GLOBAL_STRING(ipl_valid_builtin_vars_str,"built-in variables valid for ")
GLOBAL_STRING(ipl_builtin_consts_str,"Built-in constants (all transforms):\n")
GLOBAL_STRING(ipl_key_step,"step")
GLOBAL_STRING(ipl_key_pass,"pass")
